Package org.lwjgl.opengl

# Class ARBShaderStorageBufferObject

java.lang.Object
org.lwjgl.opengl.ARBShaderStorageBufferObject

public final class ARBShaderStorageBufferObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES`
Alias for the existing token MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS:
`static final int`
`GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_SHADER_STORAGE_BLOCK_SIZE`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_SHADER_STORAGE_BARRIER_BIT`
Accepted in the <barriers> bitfield in glMemoryBarrier:
`static final int`
`GL_SHADER_STORAGE_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:
`static final int`
`GL_SHADER_STORAGE_BUFFER_BINDING`
Accepted by the <pname> parameter of GetIntegerv, GetIntegeri_v, GetBooleanv, GetInteger64v, GetFloatv, GetDoublev, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_SHADER_STORAGE_BUFFER_SIZE`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_SHADER_STORAGE_BUFFER_START`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glShaderStorageBlockBinding(int program, int storageBlockIndex, int storageBlockBinding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SHADER_STORAGE_BUFFER

public static final int GL_SHADER_STORAGE_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_BINDING

public static final int GL_SHADER_STORAGE_BUFFER_BINDING
Accepted by the <pname> parameter of GetIntegerv, GetIntegeri_v, GetBooleanv, GetInteger64v, GetFloatv, GetDoublev, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_START

public static final int GL_SHADER_STORAGE_BUFFER_START
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_SIZE

public static final int GL_SHADER_STORAGE_BUFFER_SIZE
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS

public static final int GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_SHADER_STORAGE_BLOCK_SIZE

public static final int GL_MAX_SHADER_STORAGE_BLOCK_SIZE
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT

public static final int GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BARRIER_BIT

public static final int GL_SHADER_STORAGE_BARRIER_BIT
Accepted in the <barriers> bitfield in glMemoryBarrier:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES

public static final int GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES
Alias for the existing token MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS:

See Also:
  - Constant Field Values

## Method Details

### glShaderStorageBlockBinding

public static void glShaderStorageBlockBinding(int program, int storageBlockIndex, int storageBlockBinding)